Web siteleri

Notlar
Expert level
API anahtarı, istekteki Authorization başlığında Bearer token olarak gönderilmelidir. API anahtarınızı alın.
Liste

API uç noktası:

GET
https://www.googleadsense.com.tr/public/api/v1/websites

İstek örneği:

curl --location --request GET 'https://www.googleadsense.com.tr/public/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parametre
Tür
Açıklama
search
i̇steğe bağlı string
Arama sorgusu.
search_by
i̇steğe bağlı string
Arama kriteri. Olası değerler: Alan adı için domain. Varsayılan: domain.
sort_by
i̇steğe bağlı string
Sıralama kriteri. Olası değerler: Oluşturulma tarihi için id, Alan adı için domain, Puan için reports_avg_score, Raporlar için reports_count. Varsayılan: id.
sort
i̇steğe bağlı string
Sırala. Olası değerler: Azalan için desc, Artan için asc. Varsayılan: desc.
per_page
i̇steğe bağlı integer
Sayfa başına sonuç. Olası değerler: 10, 25, 50, 100. Varsayılan: 10.
Göster

API uç noktası:

GET
https://www.googleadsense.com.tr/public/api/v1/websites/{id}

İstek örneği:

curl --location --request GET 'https://www.googleadsense.com.tr/public/api/v1/websites/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Güncelle

API uç noktası:

PUT PATCH
https://www.googleadsense.com.tr/public/api/v1/websites/{id}

İstek örneği:

curl --location --request PUT 'https://www.googleadsense.com.tr/public/api/v1/websites/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parametre
Tür
Açıklama
privacy
i̇steğe bağlı integer
Gizlilik. Olası değerler: Herkese Açık için 0, Özel için 1, Şifre için 2.
password
i̇steğe bağlı string
Şifre. Yalnızca privacy alanı 2 olarak ayarlandığında çalışır.
Sil

API uç noktası:

DELETE
https://www.googleadsense.com.tr/public/api/v1/websites/{id}

İstek örneği:

curl --location --request DELETE 'https://www.googleadsense.com.tr/public/api/v1/websites/{id}' \
--header 'Authorization: Bearer {api_key}'